import type { CompletionContext } from '@codemirror/autocomplete';
import type { EditorState } from '@codemirror/state';
export declare const completeWordsInString: import("@codemirror/autocomplete").CompletionSource;
export declare function resolveTokenAtCursor(context: CompletionContext): import("@lezer/common").SyntaxNode;
export type Token = ReturnType<typeof resolveTokenAtCursor>;
export declare function aggLink(op: string): string;
export declare function padLines(str: string, pad?: string): string;
export declare function parents(token: Token): Generator<import("@lezer/common").SyntaxNode, void, unknown>;
export declare function removeQuotes(str: string): string;
export declare function isTokenEqual(a: Token, b: Token): boolean;
export declare function getPropertyNameFromPropertyToken(editorState: EditorState, propertyToken: Token): string;
export declare function getTokenText(editorState: EditorState, token: Token): string;
export declare function getAncestryOfToken(token: Token, document: string): string[];
//# sourceMappingURL=utils.d.ts.map