"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.completer = exports.wrapField = void 0;
const mongodb_constants_1 = require("@mongodb-js/mongodb-constants");
var mongodb_constants_2 = require("@mongodb-js/mongodb-constants");
Object.defineProperty(exports, "wrapField", { enumerable: true, get: function () { return mongodb_constants_2.wrapField; } });
function completer(prefix = '', options, completions) {
    const res = (0, mongodb_constants_1.getFilteredCompletions)(options, completions);
    return res.filter(({ value }) => {
        return value.toLowerCase().startsWith(prefix.toLowerCase());
    });
}
exports.completer = completer;
//# sourceMappingURL=autocompleter.js.map